API referenceResources
Delete a webhook
Deactivate the webhook registered for a service. Notifications for the service are no longer sent. The webhook can be activated again by registering it with the POST method.
DEL
/resources/webhookcurl -X DELETE "https://demo.verigram.kz/resources/webhook" \
-H "X-Verigram-Api-Key: $IDENTIFICATION_SAAS_API_KEY" \
-H "X-Verigram-Api-Version: 2.0.0" \
-H "Content-Type: application/json" \
-d '{
"service_name": "flow-end"
}'Авторизация
X-Verigram-Api-KeystringheaderобязательноAPI key in the X-Verigram-Api-Key header
Параметры
X-Verigram-Api-VersionstringheaderобязательноRequired API version header.
Значение по умолчанию:2.0.0
Тело
application/json
service_nameany ofобязательноService the webhook is registered for. Either a service name,
flow-endto be notified when a flow ends, or a custom name in thecustom_<name>format.
Ответ
Webhook deleted
{
"error_code": "NOT_FOUND, UNKNOWN_DOC_TYPE, UNAUTHORIZED, INVALID_PAYLOAD, DUPLICATE_KEY",
"error_msg": "Person ID is required"
}